| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
LivelinessChangedStatus Struct Reference

A struct storing the liveliness changed status. More...

`#include <LivelinessChangedStatus.hpp>`

## Public Attributes

int32_t | alive_count = 0
| The total number of currently active publishers that write the topic read by the subscriber.
int32_t | not_alive_count = 0
| The total count of current publishers that write the topic read by the subscriber that are no longer asserting their liveliness.
int32_t | alive_count_change = 0
| The change in the alive_count since the last time the listener was called or the status was read.
int32_t | not_alive_count_change = 0
| The change in the not_alive_count since the last time the listener was called or the status was read.
InstanceHandle_t | last_publication_handle
| Handle to the last publisher whose change in liveliness caused this status to change.

## Detailed Description

A struct storing the liveliness changed status.

## Member Data Documentation

## ◆ alive_count

int32_t alive_count = 0

The total number of currently active publishers that write the topic read by the subscriber.

This count increases when a newly matched publisher asserts its liveliness for the first time or when a publisher previously considered to be not alive reasserts its liveliness. The count decreases when a publisher considered alive fails to assert its liveliness and becomes not alive, whether because it was deleted normally or for some other reason

## ◆ alive_count_change

int32_t alive_count_change = 0

The change in the alive_count since the last time the listener was called or the status was read.

## ◆ last_publication_handle

InstanceHandle_t last_publication_handle

Handle to the last publisher whose change in liveliness caused this status to change.

## ◆ not_alive_count

int32_t not_alive_count = 0

The total count of current publishers that write the topic read by the subscriber that are no longer asserting their liveliness.

This count increases when a publisher considered alive fails to assert its liveliness and becomes not alive for some reason other than the normal deletion of that publisher. It decreases when a previously not alive publisher either reasserts its liveliness or is deleted normally

## ◆ not_alive_count_change

int32_t not_alive_count_change = 0

The change in the not_alive_count since the last time the listener was called or the status was read.

The documentation for this struct was generated from the following file:

- include/fastdds/dds/core/status/LivelinessChangedStatus.hpp